<?php
/*
 * SimpleWebKit.framework
 * (C) Golden Delicious Computers GmbH&Co. KG, 2012
 * All rights reserved.
 *
 */

require "$ROOT/System/Library/Frameworks/AppKit.framework/Versions/Current/php/executable.php";		

class WebView extends NSView
{
	public $url;
	public function WebView($url = "https://www.quantumstep.eu")
		{
       	parent::__construct();
		$this->url=$url;
		}
// set URL, set stringValue,  setHTML
	public function draw()
		{
		parent::draw();
		echo "<iframe";
		paramter("src", rawurlencode($this->url));
		paramter("width", "100%");
		paramter("height", "100%");
		echo ">\n";
		echo "<a";
		parameter("href", rawurlencode($this->url));
		echo ">Link</a>";
		echo "<iframe>\n";
		}
}

// EOF
?>